Skip to content
Start here

List Job Logs

aisearch.instances.jobs.logs(strjob_id, JobLogsParams**kwargs) -> JobLogsResponse
GET/accounts/{account_id}/ai-search/instances/{id}/jobs/{job_id}/logs

Lists log entries for an AI Search indexing job.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str
id: str

AI Search instance ID. Lowercase alphanumeric, hyphens, and underscores.

maxLength64
minLength1
job_id: str
page: Optional[int]
minimum1
per_page: Optional[int]
maximum500
minimum0
ReturnsExpand Collapse
List[JobLogsResponseItem]
id: int
created_at: float
message: str
message_type: int

List Job Logs

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.aisearch.instances.jobs.logs(
    job_id="job_id",
    account_id="c3dc5f0b34a14ff8e1b3ec04895e1b22",
    id="my-ai-search",
)
print(response)
{
  "result": [
    {
      "id": 0,
      "created_at": 0,
      "message": "message",
      "message_type": 0
    }
  ],
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0
  },
  "success": true
}
Returns Examples
{
  "result": [
    {
      "id": 0,
      "created_at": 0,
      "message": "message",
      "message_type": 0
    }
  ],
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0
  },
  "success": true
}